package com.sky.mapper;

import com.sky.entity.Setmeal;
import com.sky.vo.DishItemVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface SetMealDishMapper {
    /**
     * 查询对应套餐id
     *
     * @param dishIds List<Long>
     * @return List<Long>
     */
    List<Long> getSetMealDishIds(List<Long> dishIds);

    /**
     * 根据套餐id查询菜品选项
     *
     * @param setmealId LongLong
     * @return List<DishItemVO>
     */
    List<DishItemVO> getDishItemBySetmealId(Long setmealId);

}
